#include <stdio.h>
#include <stdlib.h>

#include <sys/time.h>
#include <time.h>

#define NITERS 1000000000

// Wall clock
int read_clock(struct timeval *t)
{
    return gettimeofday(t, NULL);
}

int elapsed_time(struct timeval *start, struct timeval *end)
{
    return (int)(end->tv_sec  - start->tv_sec) * 1e6 + 
		   (int)(end->tv_usec - start->tv_usec);
}

int main( int argc, char *argv[] )
{ 
    struct timeval t0, t1;
    
    int i;
    double pow;
    double eps = 1 + 1e-8;

    // Run and time the actual computation
    read_clock( &t0 );
    pow = 1.0;
    for( i = 0; i < NITERS; i++ )
        pow = pow * eps;
    read_clock( &t1 );

    // Do something with the result
    fprintf(stderr, "Total:%.5e\n", pow);
    printf(" Time: %.3f seconds\n", elapsed_time( &t0, &t1 ) * 1e-6 );

    return 0;
}
